GLS ShipIT 4.0.f7 GLS ShipIT - SOAP services

Public Member Functions | List of all members
eu.gls_group.fpcs.v1.common.ObjectFactory Class Reference

## Public Member Functions
| ObjectFactory ()
InsufficientPermissionFault | createInsufficientPermissionFault ()
MandatoryFieldMissingFault | createMandatoryFieldMissingFault ()
Field | createField ()
InvalidFieldValueFault | createInvalidFieldValueFault ()
Fields | createFields ()
AlreadyExistingParcelFault | createAlreadyExistingParcelFault ()
Shipper | createShipper ()
Return | createReturn ()
Consignee | createConsignee ()
Address | createAddress ()
KeyValuePair | createKeyValuePair ()
Service | createService ()
ShipmentService | createShipmentService ()
UnitService | createUnitService ()
CashService | createCashService ()
ShopDeliveryService | createShopDeliveryService ()
ShopReturnService | createShopReturnService ()
IntercompanyService | createIntercompanyService ()
ExchangeService | createExchangeService ()
DeliveryAtWorkService | createDeliveryAtWorkService ()
DepositService | createDepositService ()
AddOnLiabilityService | createAddOnLiabilityService ()
IdentPINService | createIdentPINService ()
IdentService | createIdentService ()
PickAndShipService | createPickAndShipService ()
PickAndReturnService | createPickAndReturnService ()
CarrierService | createCarrierService ()
LimitedQuantitiesService | createLimitedQuantitiesService ()
HazardousGoodsService | createHazardousGoodsService ()
HazardousGood | createHazardousGood ()
ExWorksService | createExWorksService ()
Nationality | createNationality ()
Volume | createVolume ()
NationalParcelData | createNationalParcelData ()
JAXBElement< String > | createCountryCode (String value)

## Detailed Description

This object contains factory methods for each Java content interface and Java element interface generated in the eu.gls_group.fpcs.v1.common package.

An ObjectFactory allows you to programatically construct new instances of the Java representation for XML content. The Java representation of XML content can consist of schema derived interfaces and classes representing the binding of schema type definitions, element declarations and model groups. Factory methods for each of these are provided in this class.

Definition at line 25 of file gls_group/fpcs/v1/common/ObjectFactory.java.

## Constructor & Destructor Documentation

## ◆ ObjectFactory()

eu.gls_group.fpcs.v1.common.ObjectFactory.ObjectFactory | ( |  | ) |

Create a new ObjectFactory that can be used to create new instances of schema derived classes for package: eu.gls_group.fpcs.v1.common

Definition at line 33 of file gls_group/fpcs/v1/common/ObjectFactory.java.

## Member Function Documentation

## ◆ createAddOnLiabilityService()

AddOnLiabilityService eu.gls_group.fpcs.v1.common.ObjectFactory.createAddOnLiabilityService | ( |  | ) |

Create an instance of AddOnLiabilityService

Definition at line 208 of file gls_group/fpcs/v1/common/ObjectFactory.java.

## ◆ createAddress()

Address eu.gls_group.fpcs.v1.common.ObjectFactory.createAddress | ( |  | ) |

Create an instance of Address

Definition at line 112 of file gls_group/fpcs/v1/common/ObjectFactory.java.

## ◆ createAlreadyExistingParcelFault()

AlreadyExistingParcelFault eu.gls_group.fpcs.v1.common.ObjectFactory.createAlreadyExistingParcelFault | ( |  | ) |

Create an instance of AlreadyExistingParcelFault

Definition at line 80 of file gls_group/fpcs/v1/common/ObjectFactory.java.

## ◆ createCarrierService()

CarrierService eu.gls_group.fpcs.v1.common.ObjectFactory.createCarrierService | ( |  | ) |

Create an instance of CarrierService

Definition at line 248 of file gls_group/fpcs/v1/common/ObjectFactory.java.

## ◆ createCashService()

CashService eu.gls_group.fpcs.v1.common.ObjectFactory.createCashService | ( |  | ) |

Create an instance of CashService

Definition at line 152 of file gls_group/fpcs/v1/common/ObjectFactory.java.

## ◆ createConsignee()

Consignee eu.gls_group.fpcs.v1.common.ObjectFactory.createConsignee | ( |  | ) |

Create an instance of Consignee

Definition at line 104 of file gls_group/fpcs/v1/common/ObjectFactory.java.

## ◆ createCountryCode()

JAXBElement<String> eu.gls_group.fpcs.v1.common.ObjectFactory.createCountryCode | ( | String | value | ) |

Create an instance of JAXBElement

<

String

>

Parameters

  value | Java instance representing xml element's value.

Returns
  the new instance of JAXBElement
  <
  String
  >

Definition at line 317 of file gls_group/fpcs/v1/common/ObjectFactory.java.

## ◆ createDeliveryAtWorkService()

DeliveryAtWorkService eu.gls_group.fpcs.v1.common.ObjectFactory.createDeliveryAtWorkService | ( |  | ) |

Create an instance of DeliveryAtWorkService

Definition at line 192 of file gls_group/fpcs/v1/common/ObjectFactory.java.

## ◆ createDepositService()

DepositService eu.gls_group.fpcs.v1.common.ObjectFactory.createDepositService | ( |  | ) |

Create an instance of DepositService

Definition at line 200 of file gls_group/fpcs/v1/common/ObjectFactory.java.

## ◆ createExchangeService()

ExchangeService eu.gls_group.fpcs.v1.common.ObjectFactory.createExchangeService | ( |  | ) |

Create an instance of ExchangeService

Definition at line 184 of file gls_group/fpcs/v1/common/ObjectFactory.java.

## ◆ createExWorksService()

ExWorksService eu.gls_group.fpcs.v1.common.ObjectFactory.createExWorksService | ( |  | ) |

Create an instance of ExWorksService

Definition at line 280 of file gls_group/fpcs/v1/common/ObjectFactory.java.

## ◆ createField()

Field eu.gls_group.fpcs.v1.common.ObjectFactory.createField | ( |  | ) |

Create an instance of Field

Definition at line 56 of file gls_group/fpcs/v1/common/ObjectFactory.java.

## ◆ createFields()

Fields eu.gls_group.fpcs.v1.common.ObjectFactory.createFields | ( |  | ) |

Create an instance of Fields

Definition at line 72 of file gls_group/fpcs/v1/common/ObjectFactory.java.

## ◆ createHazardousGood()

HazardousGood eu.gls_group.fpcs.v1.common.ObjectFactory.createHazardousGood | ( |  | ) |

Create an instance of HazardousGood

Definition at line 272 of file gls_group/fpcs/v1/common/ObjectFactory.java.

## ◆ createHazardousGoodsService()

HazardousGoodsService eu.gls_group.fpcs.v1.common.ObjectFactory.createHazardousGoodsService | ( |  | ) |

Create an instance of HazardousGoodsService

Definition at line 264 of file gls_group/fpcs/v1/common/ObjectFactory.java.

## ◆ createIdentPINService()

IdentPINService eu.gls_group.fpcs.v1.common.ObjectFactory.createIdentPINService | ( |  | ) |

Create an instance of IdentPINService

Definition at line 216 of file gls_group/fpcs/v1/common/ObjectFactory.java.

## ◆ createIdentService()

IdentService eu.gls_group.fpcs.v1.common.ObjectFactory.createIdentService | ( |  | ) |

Create an instance of IdentService

Definition at line 224 of file gls_group/fpcs/v1/common/ObjectFactory.java.

## ◆ createInsufficientPermissionFault()

InsufficientPermissionFault eu.gls_group.fpcs.v1.common.ObjectFactory.createInsufficientPermissionFault | ( |  | ) |

Create an instance of InsufficientPermissionFault

Definition at line 40 of file gls_group/fpcs/v1/common/ObjectFactory.java.

## ◆ createIntercompanyService()

IntercompanyService eu.gls_group.fpcs.v1.common.ObjectFactory.createIntercompanyService | ( |  | ) |

Create an instance of IntercompanyService

Definition at line 176 of file gls_group/fpcs/v1/common/ObjectFactory.java.

## ◆ createInvalidFieldValueFault()

InvalidFieldValueFault eu.gls_group.fpcs.v1.common.ObjectFactory.createInvalidFieldValueFault | ( |  | ) |

Create an instance of InvalidFieldValueFault

Definition at line 64 of file gls_group/fpcs/v1/common/ObjectFactory.java.

## ◆ createKeyValuePair()

KeyValuePair eu.gls_group.fpcs.v1.common.ObjectFactory.createKeyValuePair | ( |  | ) |

Create an instance of KeyValuePair

Definition at line 120 of file gls_group/fpcs/v1/common/ObjectFactory.java.

## ◆ createLimitedQuantitiesService()

LimitedQuantitiesService eu.gls_group.fpcs.v1.common.ObjectFactory.createLimitedQuantitiesService | ( |  | ) |

Create an instance of LimitedQuantitiesService

Definition at line 256 of file gls_group/fpcs/v1/common/ObjectFactory.java.

## ◆ createMandatoryFieldMissingFault()

MandatoryFieldMissingFault eu.gls_group.fpcs.v1.common.ObjectFactory.createMandatoryFieldMissingFault | ( |  | ) |

Create an instance of MandatoryFieldMissingFault

Definition at line 48 of file gls_group/fpcs/v1/common/ObjectFactory.java.

## ◆ createNationality()

Nationality eu.gls_group.fpcs.v1.common.ObjectFactory.createNationality | ( |  | ) |

Create an instance of Nationality

Definition at line 288 of file gls_group/fpcs/v1/common/ObjectFactory.java.

## ◆ createNationalParcelData()

NationalParcelData eu.gls_group.fpcs.v1.common.ObjectFactory.createNationalParcelData | ( |  | ) |

Create an instance of NationalParcelData

Definition at line 304 of file gls_group/fpcs/v1/common/ObjectFactory.java.

## ◆ createPickAndReturnService()

PickAndReturnService eu.gls_group.fpcs.v1.common.ObjectFactory.createPickAndReturnService | ( |  | ) |

Create an instance of PickAndReturnService

Definition at line 240 of file gls_group/fpcs/v1/common/ObjectFactory.java.

## ◆ createPickAndShipService()

PickAndShipService eu.gls_group.fpcs.v1.common.ObjectFactory.createPickAndShipService | ( |  | ) |

Create an instance of PickAndShipService

Definition at line 232 of file gls_group/fpcs/v1/common/ObjectFactory.java.

## ◆ createReturn()

Return eu.gls_group.fpcs.v1.common.ObjectFactory.createReturn | ( |  | ) |

Create an instance of Return

Definition at line 96 of file gls_group/fpcs/v1/common/ObjectFactory.java.

## ◆ createService()

Service eu.gls_group.fpcs.v1.common.ObjectFactory.createService | ( |  | ) |

Create an instance of Service

Definition at line 128 of file gls_group/fpcs/v1/common/ObjectFactory.java.

## ◆ createShipmentService()

ShipmentService eu.gls_group.fpcs.v1.common.ObjectFactory.createShipmentService | ( |  | ) |

Create an instance of ShipmentService

Definition at line 136 of file gls_group/fpcs/v1/common/ObjectFactory.java.

## ◆ createShipper()

Shipper eu.gls_group.fpcs.v1.common.ObjectFactory.createShipper | ( |  | ) |

Create an instance of Shipper

Definition at line 88 of file gls_group/fpcs/v1/common/ObjectFactory.java.

## ◆ createShopDeliveryService()

ShopDeliveryService eu.gls_group.fpcs.v1.common.ObjectFactory.createShopDeliveryService | ( |  | ) |

Create an instance of ShopDeliveryService

Definition at line 160 of file gls_group/fpcs/v1/common/ObjectFactory.java.

## ◆ createShopReturnService()

ShopReturnService eu.gls_group.fpcs.v1.common.ObjectFactory.createShopReturnService | ( |  | ) |

Create an instance of ShopReturnService

Definition at line 168 of file gls_group/fpcs/v1/common/ObjectFactory.java.

## ◆ createUnitService()

UnitService eu.gls_group.fpcs.v1.common.ObjectFactory.createUnitService | ( |  | ) |

Create an instance of UnitService

Definition at line 144 of file gls_group/fpcs/v1/common/ObjectFactory.java.

## ◆ createVolume()

Volume eu.gls_group.fpcs.v1.common.ObjectFactory.createVolume | ( |  | ) |

Create an instance of Volume

Definition at line 296 of file gls_group/fpcs/v1/common/ObjectFactory.java.

The documentation for this class was generated from the following file:

- gls_group/fpcs/v1/common/ObjectFactory.java